Skip to main content
GET
/
tabs
/
{storeId}
/
tabs
List tabs
curl --request GET \
  --url https://api.service.getjusto.com/v3/tabs/{storeId}/tabs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.service.getjusto.com/v3/tabs/{storeId}/tabs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.service.getjusto.com/v3/tabs/{storeId}/tabs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "items": [
      {
        "_id": "tab-4c48bf33-1411-4c3f-adac-db39b4631cb8",
        "code": "CJXEQZK",
        "description": "Justo C#16699-02",
        "comments": "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
        "websiteId": "ErCkmcyCEovseJq5E",
        "storeId": "Li4eEa3W2hiuGGCFa",
        "shiftId": "tsft-b6fda21f-b638-428b-a785-849fdbe3fe0b",
        "tabCounter": 1,
        "createdById": "a3W2hiuGGLi4eECFa",
        "operatorUserId": "a3W2hiuGGLi4eECFa",
        "driverUserId": "a3W2hiuGGLi4eECFa",
        "createdAtDeviceId": "W2hiuGGLa3W2hW2hiuGGLiuGGLWW2hiuGGL2hiuGGLW2hiuGGLi4eECFa",
        "countryCode": "CL",
        "createdAt": "2020-01-01T00:00:00.000Z",
        "closedAt": "2020-01-01T00:00:00.000Z",
        "deletedAt": "2020-01-01T00:00:00.000Z",
        "cancelledAt": "2020-01-01T00:00:00.000Z",
        "cancellationPrompt": "El pedido fue cancelado por el cliente.",
        "tableIds": [
          "<string>"
        ],
        "tableNames": [
          "<string>"
        ],
        "sectorIds": [
          "<string>"
        ],
        "reservationId": "<string>",
        "statusLabel": "<string>",
        "statusLabelForClient": "<string>",
        "totalPrice": 123,
        "totalNetPrice": 123,
        "totalTaxPrice": 123,
        "totalPriceBeforeDiscounts": 123,
        "discountsAmount": 123,
        "amountPaid": 123,
        "amountDue": 123,
        "tipAmountPaid": 123,
        "netTipAmountPaid": 123,
        "taxTipAmountPaid": 123,
        "mustBeReadyAt": "2020-01-01T00:00:00.000Z",
        "mustBeDeliveredAt": "2020-01-01T00:00:00.000Z",
        "readyToPickupAt": "2020-01-01T00:00:00.000Z",
        "activatesAt": "2020-01-01T00:00:00.000Z",
        "salesChannelConfigId": "<string>",
        "channelName": "<string>",
        "clientData": {
          "name": "<string>",
          "email": "<string>",
          "phone": "<string>",
          "addressLine1": "<string>",
          "addressLine2": "<string>",
          "addressExtra": "<string>"
        },
        "integrationClientId": "<string>",
        "hasExternalDeliveryProvider": true,
        "generateInvoiceAtClose": true,
        "integrationOrderId": "<string>",
        "integrationIsPending": true,
        "integrationComments": [
          "<string>"
        ],
        "eaterLabels": [
          "<string>"
        ],
        "externalInvoiceId": "<string>",
        "payments": [
          {
            "_id": "tab-4c48bf33-1411-4c3f-adac-db39b4631cb8",
            "code": "CJXEQZK",
            "shiftId": "Li4eEa3W2hiuGGCFa",
            "paymentMethodId": "a3W2hiuGGLi4eECFa",
            "paymentMethodName": "Efectivo",
            "amount": 100,
            "tipAmount": 10,
            "createdAt": "2020-01-01T00:00:00.000Z",
            "voidedAt": "2020-01-01T00:00:00.000Z",
            "shiftEndedAt": "2020-01-01T00:00:00.000Z",
            "createdById": "a3W2hiuGGLi4eECFa",
            "shouldMakeInvoice": true,
            "payerName": "John Doe",
            "payerUserId": "a3W2hiuGGLi4eECFa"
          }
        ],
        "invoices": [
          {
            "_id": "tab-4c48bf33-1411-4c3f-adac-db39b4631cb8",
            "providerId": "openFactura",
            "storeId": "sto-4c48bf33-1411-4c3f-adac-db39b4631cb8",
            "tabId": "tab-4c48bf33-1411-4c3f-adac-db39b4631cb8",
            "inventorySaleId": "isale-4c48bf33-1411-4c3f-adac-db39b4631cb8",
            "createdAt": "2020-01-01T00:00:00.000Z",
            "generatedAt": "2020-01-01T00:00:00.000Z",
            "externalInvoiceId": "123456",
            "externalVoidInvoiceId": "654321",
            "errorMessage": "Error al generar la factura.",
            "voidedAt": "2020-01-01T00:00:00.000Z",
            "statusLabel": "Pendiente",
            "invoiceURL": "https://getjusto.com/invoice/123456",
            "totalAmount": 100,
            "taxAmount": 10,
            "netAmount": 90
          }
        ],
        "discounts": [
          {
            "_id": "tab-4c48bf33-1411-4c3f-adac-db39b4631cb8",
            "shiftId": "Li4eEa3W2hiuGGCFa",
            "createdAt": "2020-01-01T00:00:00.000Z",
            "voidedAt": "2020-01-01T00:00:00.000Z",
            "discountedAmount": 100,
            "discountMethodId": "a3W2hiuGGLi4eECFa",
            "discountMethodName": "Cupón",
            "fixedAmount": 100,
            "percentage": 10
          }
        ],
        "items": [
          {
            "_id": "tab-4c48bf33-1411-4c3f-adac-db39b4631cb8",
            "createdAt": "2020-01-01T00:00:00.000Z",
            "amount": 2,
            "price": 100,
            "priceWithModifiers": 120,
            "unitPrice": 50,
            "productId": "a3W2hiuGGLi4eECFa",
            "productName": "Café",
            "productInternalName": "Café",
            "productUnitItemsCount": 1,
            "comment": "Sin azúcar",
            "sentToKDSAt": "2020-01-01T00:00:00.000Z",
            "addedByClientUserId": "a3W2hiuGGLi4eECFa",
            "addedByClientName": "Juan",
            "addedByUserId": "a3W2hiuGGLi4eECFa",
            "addedByUserName": "Juan",
            "eaterLabels": [
              "<string>"
            ],
            "modifiers": [
              {
                "_id": "tab-4c48bf33-1411-4c3f-adac-db39b4631cb8",
                "modifierGroupId": "Li4eEa3W2hiuGGCFa",
                "modifierId": "a3W2hiuGGLi4eECFa",
                "amount": 2,
                "modifierQuantity": 1,
                "price": 100,
                "unitPrice": 50,
                "modifierName": "Azúcar",
                "modifierInternalName": "Azúcar",
                "modifierGroupName": "Azúcar",
                "modifierUnitItemsCount": 1,
                "modifierUnitWeight": 100
              }
            ],
            "unitProductWeight": 100,
            "totalWeight": 100
          }
        ]
      }
    ],
    "hasNextPage": true,
    "hasPreviousPage": true,
    "totalPages": 123,
    "totalCount": 123
  }
}
{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

Query Parameters

filter
string

Filtro de búsqueda. Puede ser el número de cuenta o el id de la boleta.

Example:

"name"

shiftId
string

Id del turno.

Example:

"name"

deliveryTypes
enum<string>

Tipos de entrega.

Available options:
go,
serve,
delivery
Example:

"name"

fromDate
string<date-time>

Fecha de inicio de la búsqueda.

Example:

"2020-01-01T00:00:00.000Z"

toDate
string<date-time>

Fecha de fin de la búsqueda.

Example:

"2020-01-01T00:00:00.000Z"

page
number

Número de página.

Example:

1

limit
number

Número de items por página. Max 100. Por defecto: 10.

Example:

10

sortBy
enum<string>

Campo por el cual se ordenará la lista. Por defecto: "createdAt".

Available options:
createdAt
Example:

"createdAt"

sortType
enum<string>

Tipo de ordenamiento.

Available options:
asc,
desc
Example:

"desc"

Response

The OpenAPI spec

success
boolean
Example:

true

data
object